Skip to main content
GET
/
credit-notes
List credit notes
curl --request GET \
  --url https://app.fintoro.sk/api/public/v1/credit-notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 351,
      "uuid": "6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19",
      "type": "credit-note",
      "number": "20260051",
      "clientId": 101,
      "client": {
        "name": "Acme s.r.o.",
        "type": "company",
        "subjectId": "12345678",
        "taxId": "2020123456",
        "vatId": "SK2020123456",
        "isVatPayer": true,
        "email": "billing@acme.test",
        "street": "Main Street 1",
        "city": "Bratislava",
        "zip": "81101",
        "countryId": 703,
        "country": {
          "id": 703,
          "name": "Slovakia",
          "code": "SK",
          "eu": true
        },
        "hasDeliveryAddress": true,
        "deliveryStreet": "Warehouse 9",
        "deliveryCity": "Kosice",
        "deliveryZip": "04001",
        "deliveryCountryId": 703,
        "deliveryCountry": {
          "id": 703,
          "name": "Slovakia",
          "code": "SK",
          "eu": true
        }
      },
      "issueDate": "2026-03-03",
      "dueDate": "2026-03-17",
      "deliveryDate": "2026-03-03",
      "currency": {
        "id": 1,
        "symbol": "EUR",
        "name": "Euro",
        "mark": "€"
      },
      "total": -20,
      "totalWithVat": -24,
      "toBePaid": -24,
      "status": "unpaid",
      "hasVat": true
    }
  ],
  "paginator": {
    "currentPage": 2,
    "perPage": 10,
    "totalPages": 5,
    "totalResults": 42,
    "currentFrom": 11,
    "currentTo": 20,
    "firstPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=1",
    "lastPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=5",
    "nextPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=3",
    "previousPageUrl": "https://app.fintoro.sk/api/public/v1/invoices?page=1",
    "links": [
      {
        "url": "https://app.fintoro.sk/api/public/v1/invoices?page=2",
        "label": "2",
        "active": false
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer token created for a specific company in Integrations → API.

Query Parameters

number
string

Filter by document number.

clientId
integer

Filter by client.

paymentStatus
enum<string>

Filter by credit note status.

Available options:
paid,
unpaid,
partially_paid,
overdue,
will_not_be_paid
issueDateFrom
string<date>

Issue date from.

issueDateTo
string<date>

Issue date to.

dueDateFrom
string<date>

Due date from.

dueDateTo
string<date>

Due date to.

totalFrom
number<float>

Minimum total amount without VAT.

totalTo
number<float>

Maximum total amount without VAT.

sortBy
enum<string>
default:issueDate

Field used for sorting.

Available options:
number,
issueDate,
dueDate,
total,
totalWithVat
sortDirection
enum<string>
default:desc

Sorting direction.

Available options:
asc,
desc
perPage
integer
default:10

Number of results per page.

Required range: 1 <= x <= 500
page
integer
default:1

Page number.

Required range: x >= 1

Response

Paginated credit note list in preview shape.

data
object[]

List of credit note preview objects for the current page.

paginator
object

Pagination information for the current result set.